Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class OpSQL

    java.lang.Object
      com.hp.hpl.jena.sparql.util.PrintSerializableBase
          com.hp.hpl.jena.sparql.algebra.op.OpBase
              com.hp.hpl.jena.sparql.algebra.op.OpExt
                  com.hp.hpl.jena.sdb.compiler.OpSQL

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.algebra.Op, com.hp.hpl.jena.sparql.util.Named, com.hp.hpl.jena.sparql.util.PrintSerializable, org.openjena.atlas.io.Printable

    public class OpSQL

extends com.hp.hpl.jena.sparql.algebra.op.OpExt

Constructor Summary
`OpSQL(SqlNode sqlNode, com.hp.hpl.jena.sparql.algebra.Op original, SDBRequest request)`

Method Summary
`com.hp.hpl.jena.sparql.algebra.Op` | `effectiveOp()`
`boolean` | `equalTo(com.hp.hpl.jena.sparql.algebra.Op other, com.hp.hpl.jena.sparql.util.NodeIsomorphismMap labelMap)`
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `eval(com.hp.hpl.jena.sparql.engine.QueryIterator input, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `exec(com.hp.hpl.jena.sparql.engine.binding.Binding parent, com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`com.hp.hpl.jena.sparql.engine.QueryIterator` | `exec(com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)`
`SQLBridge` | `getBridge()`
`com.hp.hpl.jena.sparql.algebra.Op` | `getOriginal()`
`SDBRequest` | `getRequest()`
`SqlNode` | `getSqlNode()`
`int` | `hashCode()`
`void` | `output(org.openjena.atlas.io.IndentedWriter out)`
`void` | `outputArgs(org.openjena.atlas.io.IndentedWriter out, com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)`
`void` | `resetSqlNode(SqlNode sqlNode2)`
`void` | `setBridge(SQLBridge bridge)`
`String` | `toSQL()`

Methods inherited from class com.hp.hpl.jena.sparql.algebra.op.OpExt
`getName, output, visit`

Methods inherited from class com.hp.hpl.jena.sparql.algebra.op.OpBase
`equals`

Methods inherited from class com.hp.hpl.jena.sparql.util.PrintSerializableBase
`toString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sparql.util.PrintSerializable
`toString`

Constructor Detail

### OpSQL

    public OpSQL(SqlNode sqlNode,
                 com.hp.hpl.jena.sparql.algebra.Op original,
                 SDBRequest request)

Method Detail

### eval

    public com.hp.hpl.jena.sparql.engine.QueryIterator eval(com.hp.hpl.jena.sparql.engine.QueryIterator input,
                                                            com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

  Specified by:
    `eval` in class `com.hp.hpl.jena.sparql.algebra.op.OpExt`

### exec

    public com.hp.hpl.jena.sparql.engine.QueryIterator exec(com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

### exec

    public com.hp.hpl.jena.sparql.engine.QueryIterator exec(com.hp.hpl.jena.sparql.engine.binding.Binding parent,
                                                            com.hp.hpl.jena.sparql.engine.ExecutionContext execCxt)

### getOriginal

    public com.hp.hpl.jena.sparql.algebra.Op getOriginal()

### effectiveOp

    public com.hp.hpl.jena.sparql.algebra.Op effectiveOp()

  Specified by:
    `effectiveOp` in class `com.hp.hpl.jena.sparql.algebra.op.OpExt`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `com.hp.hpl.jena.sparql.algebra.op.OpBase`

### equalTo

    public boolean equalTo(com.hp.hpl.jena.sparql.algebra.Op other,
                           com.hp.hpl.jena.sparql.util.NodeIsomorphismMap labelMap)

  Specified by:
    `equalTo` in interface `com.hp.hpl.jena.sparql.algebra.Op`
  Specified by:
    `equalTo` in class `com.hp.hpl.jena.sparql.algebra.op.OpBase`

### getRequest

    public SDBRequest getRequest()

### output

    public void output(org.openjena.atlas.io.IndentedWriter out)

  Specified by:
    `output` in interface `org.openjena.atlas.io.Printable`
  Overrides:
    `output` in class `com.hp.hpl.jena.sparql.algebra.op.OpBase`

### toSQL

    public String toSQL()

### getSqlNode

    public SqlNode getSqlNode()

### resetSqlNode

    public void resetSqlNode(SqlNode sqlNode2)

### getBridge

    public SQLBridge getBridge()

### setBridge

    public void setBridge(SQLBridge bridge)

### outputArgs

    public void outputArgs(org.openjena.atlas.io.IndentedWriter out,
                           com.hp.hpl.jena.sparql.serializer.SerializationContext sCxt)

  Specified by:
    `outputArgs` in class `com.hp.hpl.jena.sparql.algebra.op.OpExt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.